const sh = path.basename(filename, `.js`);
add(`${sh}_vs.fx`, { saveAs: `${sh}_vs_lights.fxo`, defines: { 'MODE_LIGHTS': 1 } });
add(`${sh}_ps.fx`, { saveAs: `${sh}_ps_lights.fxo`, defines: { 'MODE_LIGHTS': 1 } });
add(`${sh}_vs.fx`, { saveAs: `${sh}_vs_lights_extra.fxo`, defines: { 'MODE_LIGHTS': 1, 'MODE_LIGHTS_EXTRA': 1 } });
add(`${sh}_ps.fx`, { saveAs: `${sh}_ps_lights_extra.fxo`, defines: { 'MODE_LIGHTS': 1, 'MODE_LIGHTS_EXTRA': 1 } });
add(`${sh}_vs.fx`, { saveAs: `${sh}_vs_shadow.fxo`, defines: { 'MODE_SHADOW': 1 } });
add(`${sh}_ps.fx`, { saveAs: `${sh}_ps_shadow.fxo`, defines: { 'MODE_SHADOW': 1 } });
add(`${sh}_vs.fx`, { saveAs: `${sh}_vs_mirror.fxo`, defines: { 'MODE_SIMPLIFIED_FX': 1 } });
add(`${sh}_ps.fx`, { saveAs: `${sh}_ps_mirror.fxo`, defines: { 'MODE_SIMPLIFIED_FX': 1 } });
add(`${sh}_vs.fx`, { saveAs: `${sh}_vs_gbuffer.fxo`, defines: { 'MODE_GBUFFER': 1 } });
add(`${sh}_ps.fx`, { saveAs: `${sh}_ps_gbuffer.fxo`, defines: { 'MODE_GBUFFER': 1 } });
add(`${sh}_ps.fx`, { saveAs: `${sh}_ps_gbuffer_refl.fxo`, defines: { 'MODE_GBUFFER': 1, 'CREATE_REFLECTION_BUFFER': 1 } });